Bug 1335287

Summary: [RFE] Adapters need to add files to a manifest during export
Product: [Community] Candlepin Reporter: Barnaby Court <bcourt>
Component: candlepinAssignee: Michael Stead <mstead>
Status: CLOSED CURRENTRELEASE QA Contact: Katello QA List <katello-qa-list>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 2.0CC: mstead, redakkan
Target Milestone: ---Keywords: FutureFeature
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-07-22 14:52:10 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Barnaby Court 2016-05-11 19:14:27 UTC
Description of problem:
During the export of a manifest the adapters need an API hook to add files to the signed export.

Per the design at: https://trello.com/c/oVy11kLi we need:
1) Add an optional version # argument to the export REST API.
2) Create an adapter API that takes 3 arguments. 
  * The directory on the filesystem where any new files should be added
  * The consumer object for whom the export is being created. 
  * The version number passed into the api (1). 
3) Create a default adapter that no-ops on this call.

Comment 1 Michael Stead 2016-06-17 14:51:24 UTC
Pull Request:
https://github.com/candlepin/candlepin/pull/1277

Comment 2 Barnaby Court 2016-07-22 14:52:10 UTC
Marking as closed per Candlepin procedures as a fix has been merged or it has been determined to not be an issue.